@import "variables";

div#logs {
  display: block;
  min-height: 60px;
  max-height: 600px;
  min-width: 200px;
  white-space: pre-line;
  overflow: auto;
  background-color: $grey9;

  pre {
    padding: 8px 8px;
    margin: 0;
    min-height: 60px;
    overflow: visible;
    background-color: $grey9;
    color: $grey4;

    span.ryax-line-number {
      padding-right: 8px;
      margin-right: 8px;
      min-width: 50px;
      display: inline-block;
      border-right: $primary4;
      border-right-style: solid;
      border-right-width: 1px;
      text-align: right;
      color: #837F90;
      user-select: none;
    }
  }
}

div#footer {
  display: flex;
  align-content: center;
  text-align: center;
  vertical-align: center;
  gap: 4px;
  padding: 4px;

  nz-spin {
    margin: 8px auto auto 20px;
  }

  button {
    margin-top: auto;
    margin-bottom: auto;
  }
}
